using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Parser_Xls_Integral
{
    [Table("prehlad_tratovych_rychlosti")]
    public class TratoveRychlosti
    {
        [JsonProperty("or")]
        public string OR { get; set; }

        [JsonProperty("smsu")]
        public string SMSU { get; set; }

        [JsonProperty("tu")]
        public string TU { get; set; }

        [JsonProperty("du")]
        public string DU { get; set; }

        [JsonProperty("nazov_du")]
        public string NazovDU { get; set; }

        [JsonProperty("kategoria_trate")]
        public string KategoriaTrate { get; set; }

        [JsonProperty("rozchod")]
        public string Rozchod { get; set; }

        [JsonProperty("oznacenie_rozchodu")]
        public string OznacenieRozchodu { get; set; }

        [JsonProperty("koridory")]
        public string Koridory { get; set; }

        [JsonProperty("cislo_ttp")]
        public string CisloTTP { get; set; }

        [JsonProperty("triediaci_znak")]
        public string TriediaciZnak { get; set; }

        [JsonProperty("popis_triediaceho_znaku")]
        public string PopisTriediacehoZnaku { get; set; }

        [JsonProperty("typ_prevadzky")]
        public string TypPrevadzky { get; set; }

        [JsonProperty("cislo_kolaje")]
        public string CisloKolaje { get; set; }

        [JsonProperty("index_kolaje")]
        public string IndexKolaje { get; set; }

        [JsonProperty("km_od")]
        public string KmOd { get; set; }

        [JsonProperty("km_do")]
        public string KmDo { get; set; }

        [JsonProperty("dlzka_m")]
        public string DlzkaM { get; set; }

        [JsonProperty("km_od_2")]
        public string KmOd2 { get; set; }

        [JsonProperty("km_do_2")]
        public string KmDo2 { get; set; }

        [JsonProperty("dlzka_2_m")]
        public string Dlzka2M { get; set; }

        [JsonProperty("abnormalita_m")]
        public string AbnormalitaM { get; set; }

        [JsonProperty("najvyssia_tratova_rychlost_kmh")]
        public string NajvyssiaTratovaRychlostKmh { get; set; }

        [JsonProperty("datum_poslednej_zmeny")]
        public string DatumPoslednejZmeny { get; set; }
    }

}
